//http://code.google.com/apis/maps/documentation/javascript/examples/index.html
//http://code.google.com/apis/maps/documentation/javascript/examples/streetview-embed.html
unit Unit1;

interface

{$INCLUDE gmConfig.inc}

uses
  Windows, Messages, SysUtils, {$IFDEF DELPHI6_UP}Variants,{$ENDIF} Classes,
  Graphics, Controls, Forms, Dialogs, StdCtrls, OleCtrls, SHDocVw, gmAPI,
  gmStreetView, gmBase;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure InitMap(Sender: TObject);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IFDEF DELPHI2006_UP}
  ReportMemoryLeaksOnShutdown:=true;
  {$ENDIF}
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  if Script=nil then
    with TScript.Create(WebBrowser1) do
      LoadAPIAsync(InitMap);                               //API load and create map
end;

procedure TForm1.InitMap(Sender: TObject);
var
  BryantPark: TLatLng;
  MyPano: TStreetViewPanorama;
  PanoramaOptions: TStreetViewPanoramaOptions;
begin
  with TScript(Sender) do
  begin
    BryantPark:=New(Google.Maps.LatLng(37.869260,-122.254811));
    PanoramaOptions:=TStreetViewPanoramaOptions.Create;
    with PanoramaOptions do
    begin
      Position:=BryantPark;
      with Pov do
      begin
        Heading:=165;
        Pitch:=0;
        Zoom:=1;
      end;
    end;
    MyPano:=New(Google.Maps.StreetViewPanorama(PanoramaOptions));
    MyPano.SetVisible(true);
  end;
end;

end.
