unit gmAdditionalConstants;

interface

const
  AdFormatProp_Banner                                  = 'BANNER';
  AdFormatProp_Button                                  = 'BUTTON';
  AdFormatProp_HalfBanner                              = 'HALF_BANNER';
  AdFormatProp_LargeRectangle                          = 'LARGE_RECTANGLE';
  AdFormatProp_Leaderboard                             = 'LEADERBOARD';
  AdFormatProp_MediumRectangle                         = 'MEDIUM_RECTANGLE';
  AdFormatProp_Skyscraper                              = 'SKYSCRAPER';
  AdFormatProp_SmallRectangle                          = 'SMALL_RECTANGLE';
  AdFormatProp_SmallSquare                             = 'SMALL_SQUARE';
  AdFormatProp_Square                                  = 'SQUARE';
  AdFormatProp_VerticalBanner                          = 'VERTICAL_BANNER';
  AdFormatProp_WideSkyscraper                          = 'WIDE_SKYSCRAPER';

  AdsenseMethod_AdUnit                                 = 'AdUnit';
  AdsenseProp_AdFormat                                 = 'AdFormat';

  AdUnitMethod_GetChannelNumber                        = 'getChannelNumber';
  AdUnitMethod_GetContainer                            = 'getContainer';
  AdUnitMethod_GetFormat                               = 'getFormat';
  AdUnitMethod_GetMap                                  = 'getMap';
  AdUnitMethod_GetPosition                             = 'getPosition';
  AdUnitMethod_GetPublisherID                          = 'getPublisherId';
  AdUnitMethod_SetChannelNumber                        = 'setChannelNumber';
  AdUnitMethod_SetFormat                               = 'setFormat';
  AdUnitMethod_SetMap                                  = 'setMap';
  AdUnitMethod_SetPosition                             = 'setPosition';
  AdUnitEvent_ChannelNumberChanged                     = 'channelnumber_changed';
  AdUnitEvent_FormatChanged                            = 'format_changed';
  AdUnitEvent_MapChanged                               = 'map_changed';
  AdUnitEvent_PositionChanged                          = 'position_changed';

  AdUnitOptionsProp_ChannelNumber                      = 'channelNumber';
  AdUnitOptionsProp_Format                             = 'format';
  AdUnitOptionsProp_Map                                = 'map';
  AdUnitOptionsProp_Position                           = 'position';
  AdUnitOptionsProp_PublisherID                        = 'publisherId';
  AdUnitOptionsProp_Visible                            = 'visible';

  AnimationProp_Bounce                                 = 'BOUNCE';
  AnimationProp_Drop                                   = 'DROP';
  AnimationProp_Wj                                     = 'Wj';
  AnimationProp_Xj                                     = 'Xj';

  AutocompleteMethod_GetBounds                         = 'getBounds';
  AutocompleteMethod_GetPlace                          = 'getPlace';
  AutocompleteMethod_SetBounds                         = 'setBounds';
  AutocompleteMethod_SetTypes                          = 'setTypes';
  AutocompleteEvent_PlaceChanged                       = 'place_changed';

  AutocompleteOptionsProp_Bounds                       = 'bounds';
  AutocompleteOptionsProp_Types                        = 'types';

  BicyclingLayerMethod_SetMap                          = 'setMap';
  BicyclingLayerMethod_GetMap                          = 'getMap';

  CircelMethod_GetBounds                               = 'getBounds';
  CircelMethod_GetCenter                               = 'getCenter';
  CircelMethod_GetMap                                  = 'getMap';
  CircelMethod_GetRadius                               = 'getRadius';
  CircelMethod_SetCenter                               = 'setCenter';
  CircelMethod_SetMap                                  = 'setMap';
  CircelMethod_SetRadius                               = 'setRadius';
  CircelMethod_SetOptions                              = 'setOptions';

  CircleOptionsProp_Center                             = 'center';
  CircleOptionsProp_Clickable                          = 'clickable';
  CircleOptionsProp_FillColor                          = 'fillColor';
  CircleOptionsProp_FillOpacity                        = 'fillOpacity';
  CircleOptionsProp_Map                                = 'map';
  CircleOptionsProp_Radius                             = 'radius';
  CircleOptionsProp_StrokeColor                        = 'strokeColor';
  CircleOptionsProp_StrokeOpacity                      = 'strokeOpacity';
  CircleOptionsProp_StrokeWeight                       = 'strokeWeight';
  CircleOptionsProp_ZIndex                             = 'zIndex';

  ControlPositionProp_BottomCenter                     = 'BOTTOM_CENTER';
  ControlPositionProp_BottomLeft                       = 'BOTTOM_LEFT';
  ControlPositionProp_BottomRight                      = 'BOTTOM_RIGHT';
  ControlPositionProp_Bottom                           = 'BOTTOM';
  ControlPositionProp_LeftBottom                       = 'LEFT_BOTTOM';
  ControlPositionProp_LeftCenter                       = 'LEFT_CENTER';
  ControlPositionProp_LeftTop                          = 'LEFT_TOP';
  ControlPositionProp_Left                             = 'LEFT';
  ControlPositionProp_RightBottom                      = 'RIGHT_BOTTOM';
  ControlPositionProp_RightCenter                      = 'RIGHT_CENTER';
  ControlPositionProp_RightTop                         = 'RIGHT_TOP';
  ControlPositionProp_Right                            = 'RIGHT';
  ControlPositionProp_TopCenter                        = 'TOP_CENTER';
  ControlPositionProp_TopLeft                          = 'TOP_LEFT';
  ControlPositionProp_TopRight                         = 'TOP_RIGHT';
  ControlPositionProp_Top                              = 'TOP';

  DirectionsLegProp_Distance                           = 'distance';
  DirectionsLegProp_Duration                           = 'duration';
  DirectionsLegProp_EndAddress                         = 'end_address';
  DirectionsLegProp_EndLocation                        = 'end_location';
  DirectionsLegProp_StartAddress                       = 'start_address';
  DirectionsLegProp_StartLocation                      = 'start_location';
  DirectionsLegProp_Steps                              = 'steps';
  DirectionsLegProp_ViaWayPoints                       = 'via_waypoints';

  DirectionsRendererMethod_GetDirections               = 'getDirections';
  DirectionsRendererMethod_GetMap                      = 'getMap';
  DirectionsRendererMethod_GetPanel                    = 'getPanel';
  DirectionsRendererMethod_GetRouteIndex               = 'getRouteIndex';
  DirectionsRendererMethod_SetDirections               = 'setDirections';
  DirectionsRendererMethod_SetMap                      = 'setMap';
  DirectionsRendererMethod_SetPanel                    = 'setPanel';
  DirectionsRendererMethod_SetRouteIndex               = 'setRouteIndex';
  DirectionsRendererEvent_DirectionsChanged            = 'directions_changed';

  DirectionsRendererOptionsProp_Directions             = 'directions';
  DirectionsRendererOptionsProp_Draggable              = 'draggable';
  DirectionsRendererOptionsProp_HideRouteList          = 'hideRouteList';
  DirectionsRendererOptionsProp_InfoWindow             = 'infoWindow';
  DirectionsRendererOptionsProp_Map                    = 'map';
  DirectionsRendererOptionsProp_MarkerOptions          = 'markerOptions';
  DirectionsRendererOptionsProp_Panel                  = 'panel';
  DirectionsRendererOptionsProp_PolylineOptions        = 'polylineOptions';
  DirectionsRendererOptionsProp_RouteIndex             = 'routeIndex';
  DirectionsRendererOptionsProp_PreserveViewport       = 'preserveViewport';
  DirectionsRendererOptionsProp_SuppressBicyclingLayer = 'suppressBicyclingLayer';
  DirectionsRendererOptionsProp_SuppressInfoWindows    = 'suppressInfoWindows';
  DirectionsRendererOptionsProp_SuppressMarkers        = 'suppressMarkers';
  DirectionsRendererOptionsProp_SuppressPolylines      = 'suppressPolylines';

  DirectionsRequestProp_AvoidHighways                  = 'avoidHighways';
  DirectionsRequestProp_AvoidTolls                     = 'avoidTolls';
  DirectionsRequestProp_Destination                    = 'destination';
  DirectionsRequestProp_OptimizeWaypoints              = 'optimizeWaypoints';
  DirectionsRequestProp_Origin                         = 'origin';
  DirectionsRequestProp_ProvideRouteAlternatives       = 'provideRouteAlternatives';
  DirectionsRequestProp_Region                         = 'region';
  DirectionsRequestProp_TravelMode                     = 'travelMode';
  DirectionsRequestProp_UnitSystem                     = 'unitSystem';
  DirectionsRequestProp_WayPoints                      = 'waypoints';

  DirectionsResultProp_Routes                          = 'routes';

  DirectionsRouteProp_Bounds                           = 'bounds';
  DirectionsRouteProp_Copyrights                       = 'copyrights';
  DirectionsRouteProp_Legs                             = 'legs';
  DirectionsRouteProp_OverviewPath                     = 'overview_path';
  DirectionsRouteProp_Warnings                         = 'warnings';
  DirectionsRouteProp_WaypointOrder                    = 'waypoint_order';

  DirectionsServiceMethod_Route                        = 'route';

  DirectionsStatusProp_InvalidRequest                  = 'INVALID_REQUEST';
  DirectionsStatusProp_MaxWaypointsExceeded            = 'MAX_WAYPOINTS_EXCEEDED';
  DirectionsStatusProp_NotFound                        = 'NOT_FOUND';
  DirectionsStatusProp_OK                              = 'OK';
  DirectionsStatusProp_OverQueryLimit                  = 'OVER_QUERY_LIMIT';
  DirectionsStatusProp_RequestDenied                   = 'REQUEST_DENIED';
  DirectionsStatusProp_UnknownError                    = 'UNKNOWN_ERROR';
  DirectionsStatusProp_ZeroResults                     = 'ZERO_RESULTS';

  DirectionsStepProp_Distance                          = 'distance';
  DirectionsStepProp_Duration                          = 'duration';
  DirectionsStepProp_EndLocation                       = 'end_location';
  DirectionsStepProp_Instructions                      = 'instructions';
  DirectionsStepProp_Path                              = 'path';
  DirectionsStepProp_StartLocation                     = 'start_location';
  DirectionsStepProp_TravelMode                        = 'travel_mode';

  DirectionsWaypointProp_Location                      = 'location';
  DirectionsWaypointProp_StopOver                      = 'stopover';

  DistanceProp_Text                                    = 'text';
  DistanceProp_Value                                   = 'value';

  DistanceMatrixElementStatusProp_NotFound             = 'NOT_FOUND';
  DistanceMatrixElementStatusProp_OK                   = 'OK';
  DistanceMatrixElementStatusProp_ZeroResults          = 'ZERO_RESULTS';

  DistanceMatrixRequestProp_AvoidHighways              = 'avoidHighways';
  DistanceMatrixRequestProp_AvoidTolls                 = 'avoidTolls';
  DistanceMatrixRequestProp_Destinations               = 'destinations';
  DistanceMatrixRequestProp_Origins                    = 'origins';
  DistanceMatrixRequestProp_Region                     = 'region';
  DistanceMatrixRequestProp_TravelMode                 = 'travelMode';
  DistanceMatrixRequestProp_UnitSystem                 = 'unitSystem';

  DistanceMatrixResponseProp_DestinationAddresses      = 'destinationAddresses';
  DistanceMatrixResponseProp_OriginAddresses           = 'originAddresses';
  DistanceMatrixResponseProp_Rows                      = 'rows';

  DistanceMatrixResponseElementProp_Distance           = 'distance';
  DistanceMatrixResponseElementProp_Duration           = 'duration';
  DistanceMatrixResponseElementProp_Status             = 'status';

  DistanceMatrixResponseRowProp_Elements               = 'elements';

  DistanceMatrixServiceMethod_GetDistanceMatrix        = 'getDistanceMatrix';

  DistanceMatrixStatusProp_InvalidRequest              = 'INVALID_REQUEST';
  DistanceMatrixStatusProp_MaxDimensionsExceeded       = 'MAX_DIMENSIONS_EXCEEDED';
  DistanceMatrixStatusProp_MaxElementsExceeded         = 'MAX_ELEMENTS_EXCEEDED';
  DistanceMatrixStatusProp_OK                          = 'OK';
  DistanceMatrixStatusProp_OverQueryLimit              = 'OVER_QUERY_LIMIT';
  DistanceMatrixStatusProp_RequestDenied               = 'REQUEST_DENIED';
  DistanceMatrixStatusProp_UnknownError                = 'UNKNOWN_ERROR';

  DurationProp_Text                                    = 'text';
  DurationProp_Value                                   = 'value';

  ElevationResultProp_Elevation                        = 'elevation';
  ElevationResultProp_Location                         = 'location';

  ElevationServiceMethod_GetElevationAlongPath         = 'getElevationAlongPath';
  ElevationServiceMethod_GetElevationForLocations      = 'getElevationForLocations';

  ElevationStatusProp_InvalidRequest                   = 'INVALID_REQUEST';
  ElevationStatusProp_Ki                               = 'ki';
  ElevationStatusProp_OK                               = 'OK';
  ElevationStatusProp_OverQueryLimit                   = 'OVER_QUERY_LIMIT';
  ElevationStatusProp_RequestDenied                    = 'REQUEST_DENIED';
  ElevationStatusProp_UnknownError                     = 'UNKNOWN_ERROR';

  EncodingMethod_DecodePath                            = 'decodePath';
  EncodingMethod_EncodePath                            = 'encodePath';

  Event_Click                                          = 'click';
  Event_DblClick                                       = 'dblclick';
  Event_MouseDown                                      = 'mousedown';
  Event_MouseMove                                      = 'mousemove';
  Event_MouseOut                                       = 'mouseout';
  Event_MouseOver                                      = 'mouseover';
  Event_MouseUp                                        = 'mouseup';
  Event_RightClick                                     = 'rightclick';

  EventMethod_AddDomListener                           = 'addDomListener';
  EventMethod_AddDomListenerOnce                       = 'addDomListenerOnce';
  EventMethod_AddListener                              = 'addListener';
  EventMethod_AddListenerOnce                          = 'addListenerOnce';
  EventMethod_Bind                                     = 'bind';
  EventMethod_ClearInstanceListeners                   = 'clearInstanceListeners';
  EventMethod_ClearListeners                           = 'clearListeners';
  EventMethod_Forward                                  = 'forward';
  EventMethod_H                                        = 'H';
  EventMethod_Hi                                       = 'hi';
  EventMethod_RemoveListener                           = 'removeListener';
  EventMethod_Trigger                                  = 'trigger';
  EventMethod_X                                        = 'X';
  EventMethod_Xc                                       = 'Xc';
  EventProp_Mb                                         = 'Mb';
  EventProp_Re                                         = 're';

  FusionTablesCellProp_ColumnName                      = 'columnName';
  FusionTablesCellProp_Value                           = 'value';

  FusionTablesHeatMapProp_Enabled                      = 'enabled';

  FusionTablesLayerMethod_GetMap                       = 'getMap';
  FusionTablesLayerMethod_GetQuery                     = 'getQuery';
  FusionTablesLayerMethod_GetTableID                   = 'getTableId';
  FusionTablesLayerMethod_SetMap                       = 'setMap';
  FusionTablesLayerMethod_SetOptions                   = 'setOptions';
  FusionTablesLayerMethod_SetQuery                     = 'setQuery';
  FusionTablesLayerMethod_SetTableID                   = 'setTableId';

  FusionTablesLayerOptionsProp_Clickable               = 'clickable';
  FusionTablesLayerOptionsProp_Heatmap                 = 'heatmap';
  FusionTablesLayerOptionsProp_Map                     = 'map';
  FusionTablesLayerOptionsProp_Query                   = 'query';
  FusionTablesLayerOptionsProp_Styles                  = 'styles';
  FusionTablesLayerOptionsProp_SuppressInfoWindows     = 'suppressInfoWindows';

  FusionTablesMarkerOptionsProp_IconName               = 'iconName';

  FusionTablesMouseEventProp_InfoWindowHTML            = 'infoWindowHtml';
  FusionTablesMouseEventProp_LatLng                    = 'latLng';
  FusionTablesMouseEventProp_PixelOffset               = 'pixelOffset';
  FusionTablesMouseEventProp_Position                  = 'Position';            //deprecated
  FusionTablesMouseEventProp_Row                       = 'Row';

  FusionTablesPolygonOptionsProp_FillColor             = 'fillColor';
  FusionTablesPolygonOptionsProp_FillOpacity           = 'fillOpacity';
  FusionTablesPolygonOptionsProp_StrokeColor           = 'strokeColor';
  FusionTablesPolygonOptionsProp_StrokeOpacity         = 'strokeOpacity';
  FusionTablesPolygonOptionsProp_StrokeWeight          = 'strokeWeight';

  FusionTablesPolylineOptionsProp_StrokeColor          = 'strokeColor';
  FusionTablesPolylineOptionsProp_StrokeOpacity        = 'strokeOpacity';
  FusionTablesPolylineOptionsProp_StrokeWeight         = 'strokeWeight';

  FusionTablesQueryProp_From                           = 'from';
  FusionTablesQueryProp_Select                         = 'select';
  FusionTablesQueryProp_Where                          = 'where';

  FusionTablesStyleProp_MarkerOptions                  = 'markerOptions';
  FusionTablesStyleProp_PolygonOptions                 = 'polygonOptions';
  FusionTablesStyleProp_PolylineOptions                = 'polylineOptions';
  FusionTablesStyleProp_Where                          = 'where';

  GeocoderMethod_Geocode                               = 'geocode';

  GeocoderAddressComponentProp_LongName                = 'long_name';
  GeocoderAddressComponentProp_ShortName               = 'short_name';
  GeocoderAddressComponentProp_Types                   = 'types';

  GeocoderGeometryProp_Bounds                          = 'bounds';
  GeocoderGeometryProp_Location                        = 'location';
  GeocoderGeometryProp_LocationType                    = 'location_type';
  GeocoderGeometryProp_Viewport                        = 'viewport';

  GeocoderLocationTypeProp_Approximate                 = 'APPROXIMATE';
  GeocoderLocationTypeProp_GeometricCenter             = 'GEOMETRIC_CENTER';
  GeocoderLocationTypeProp_RangeInterpolated           = 'RANGE_INTERPOLATED';
  GeocoderLocationTypeProp_RoofTop                     = 'ROOFTOP';

  GeocoderRequestProp_Address                          = 'address';
  GeocoderRequestProp_Bounds                           = 'bounds';
  GeocoderRequestProp_Language                         = 'language';
  //GeocoderRequestProp_LatLng                           = 'latLng';
  GeocoderRequestProp_Location                         = 'location';
  GeocoderRequestProp_Region                           = 'region';

  GeocoderResultProp_AddressComponents                 = 'address_components';
  GeocoderResultProp_FormattedAddress                  = 'formatted_address';
  GeocoderResultProp_Geometry                          = 'geometry';
  GeocoderResultProp_Types                             = 'types';

  GeocoderStatusProp_Error                             = 'ERROR';
  GeocoderStatusProp_InvalidRequest                    = 'INVALID_REQUEST';
  GeocoderStatusProp_OK                                = 'OK';
  GeocoderStatusProp_OverQueryLimit                    = 'OVER_QUERY_LIMIT';
  GeocoderStatusProp_RequestDenied                     = 'REQUEST_DENIED';
  GeocoderStatusProp_UnknownError                      = 'UNKNOWN_ERROR';
  GeocoderStatusProp_ZeroResults                       = 'ZERO_RESULTS';

  GeometryProp_Encoding                                = 'encoding';
  GeometryProp_Spherical                               = 'spherical';

  GoogleProp_Maps                                      = 'maps';

  GroundOverlayMethod_GetBounds                        = 'getBounds';
  GroundOverlayMethod_GetMap                           = 'getMap';
  GroundOverlayMethod_GetUrl                           = 'getUrl';
  GroundOverlayMethod_SetMap                           = 'setMap';
  GroundOverlayProp_Click                              = 'click';

  GroundOverlayOptionsProp_Clickable                   = 'clickable';
  GroundOverlayOptionsProp_Map                         = 'map';

  ImageMapTypeOptionsProp_Alt                          = 'alt';
  ImageMapTypeOptionsProp_GetTileUrl                   = 'getTileUrl';
  ImageMapTypeOptionsProp_IsPng                        = 'isPng';
  ImageMapTypeOptionsProp_MaxZoom                      = 'maxZoom';
  ImageMapTypeOptionsProp_MinZoom                      = 'minZoom';
  ImageMapTypeOptionsProp_Name                         = 'name';
  ImageMapTypeOptionsProp_Opacity                      = 'opacity';
  ImageMapTypeOptionsProp_Radius                       = 'radius';
  ImageMapTypeOptionsProp_TileSize                     = 'tileSize';

  ImageMapTypeProp_GetTileUrl                          = 'getTileUrl';

  InfoWindowMethod_Close                               = 'close';
  InfoWindowMethod_GetContent                          = 'getContent';
  InfoWindowMethod_GetPosition                         = 'getPosition';
  InfoWindowMethod_GetSize                             = 'getSize';
  InfoWindowMethod_GetZIndex                           = 'getZIndex';
  InfoWindowMethod_Open                                = 'open';
  InfoWindowMethod_SetContent                          = 'setContent';
  InfoWindowMethod_SetOptions                          = 'setOptions';
  InfoWindowMethod_SetPosition                         = 'setPosition';
  InfoWindowMethod_SetSize                             = 'setSize';
  InfoWindowMethod_SetZIndex                           = 'setZIndex';
  InfoWindowEvent_CloseClick                           = 'closeclick';
  InfoWindowEvent_ContentChanged                       = 'content_changed';
  InfoWindowEvent_DomReady                             = 'domready';
  InfoWindowEvent_PositionChanged                      = 'position_changed';
  InfoWindowEvent_ZIndexChanged                        = 'zindex_changed';

  InfoWindowOptionsProp_Content                        = 'content';
  InfoWindowOptionsProp_DisableAutoPan                 = 'disableAutoPan';
  InfoWindowOptionsProp_MaxWidth                       = 'maxWidth';
  InfoWindowOptionsProp_PixelOffset                    = 'pixelOffset';
  InfoWindowOptionsProp_Position                       = 'position';
  InfoWindowOptionsProp_ZIndex                         = 'zIndex';

  KmlAuthorProp_Email                                  = 'email';
  KmlAuthorProp_Name                                   = 'name';
  KmlAuthorProp_URI                                    = 'uri';

  KmlLayerOptionsProp_Clickable                        = 'clickable';
  KmlLayerOptionsProp_Map                              = 'map';
  KmlLayerOptionsProp_PreserveViewport                 = 'preserveViewport';
  KmlLayerOptionsProp_SuppressInfoWindows              = 'suppressInfoWindows';

  KmlLayerMethod_GetDefaultViewport                    = 'getDefaultViewport';
  KmlLayerMethod_GetMap                                = 'getMap';
  KmlLayerMethod_GetMetadata                           = 'getMetadata';
  KmlLayerMethod_GetUrl                                = 'getUrl';
  KmlLayerMethod_SetMap                                = 'setMap';
  KmlLayerEvent_DefaultViewportChanged                 = 'defaultviewport_changed';

  KmlFeatureData_PropAuthor                            = 'author';
  KmlFeatureData_Description                           = 'description';
  KmlFeatureData_ID                                    = 'id';
  KmlFeatureData_InfoWindowHTML                        = 'infoWindowHtml';
  KmlFeatureData_Name                                  = 'name';
  KmlFeatureData_Snippet                               = 'snippet';

  KmlLayerMetadataProp_Author                          = 'author';
  KmlLayerMetadataProp_Description                     = 'description';
  KmlLayerMetadataProp_Name                            = 'name';
  KmlLayerMetadataProp_Snippet                         = 'snippet';

  KmlMouseEventProp_FeatureData                        = 'featureData';
  KmlMouseEventProp_LatLng                             = 'latLng';
  KmlMouseEventProp_PixelOffset                        = 'pixelOffset';
  KmlMouseEventProp_Position                           = 'position';

  LatLngMethod_Equals                                  = 'equals';
  LatLngMethod_Lat                                     = 'lat';
  LatLngMethod_Lng                                     = 'lng';
  LatLngMethod_ToString                                = 'toString';
  LatLngMethod_ToUrlValue                              = 'toUrlValue';

  LatLngBoundsMethod_Contains                          = 'contains';
  LatLngBoundsMethod_Equals                            = 'equals';
  LatLngBoundsMethod_Extend                            = 'extend';
  LatLngBoundsMethod_GetCenter                         = 'getCenter';
  LatLngBoundsMethod_GetNorthEast                      = 'getNorthEast';
  LatLngBoundsMethod_GetSouthWest                      = 'getSouthWest';
  LatLngBoundsMethod_Intersects                        = 'intersects';
  LatLngBoundsMethod_IsEmpty                           = 'isEmpty';
  LatLngBoundsMethod_ToSpan                            = 'toSpan';
  LatLngBoundsMethod_ToString                          = 'toString';
  LatLngBoundsMethod_ToUrlValue                        = 'toUrlValue';
  LatLngBoundsMethod_Union                             = 'union';

  LocationElevationRequestProp_Locations               = 'locations';

  MapMethod_FitBounds                                  = 'fitBounds';
  MapMethod_GetBounds                                  = 'getBounds';
  MapMethod_GetCenter                                  = 'getCenter';
  MapMethod_GetDiv                                     = 'getDiv';
  MapMethod_GetHeading                                 = 'getHeading';
  MapMethod_GetMapTypeID                               = 'getMapTypeId';
  MapMethod_GetProjection                              = 'getProjection';
  //MapMethod_GetRotatable                               = 'getRotatable';      deprecated, ab Version 3.3.1a nicht mehr vorhanden
  MapMethod_GetStreetView                              = 'getStreetView';
  MapMethod_GetTilt                                    = 'getTilt';
  MapMethod_GetZoom                                    = 'getZoom';
  MapMethod_N                                          = 'N';
  MapMethod_P                                          = 'P';
  MapMethod_PanBy                                      = 'panBy';
  MapMethod_PanTo                                      = 'panTo';
  MapMethod_PanToBounds                                = 'panToBounds';
  MapMethod_SetHeading                                 = 'setHeading';
  MapMethod_SetOptions                                 = 'setOptions';
  MapMethod_SetStreetView                              = 'setStreetView';
  MapMethod_SetTilt                                    = 'setTilt';
  MapMethod_SetZoom                                    = 'setZoom';
  MapMethod_SetCenter                                  = 'setCenter';
  MapMethod_SetMapTypeID                               = 'setMapTypeId';
  MapProp_E3                                           = '__e3_';
  MapProp_A                                            = 'a';
  MapProp_B                                            = 'b';
  MapProp_C                                            = 'c';
  MapProp_Controls                                     = 'controls';
  MapProp_D                                            = 'd';
  MapProp_G                                            = 'g';
  MapProp_GmAccessors                                  = 'gm_accessors_';
  MapProp_GmBindings                                   = 'gm_bindings_';
  MapProp_I                                            = 'i';
  MapProp_MapTypes                                     = 'mapTypes';
  MapProp_OverlayMapTypes                              = 'overlayMapTypes';
  MapProp_Ta                                           = 'ta';
  MapProp_Xa                                           = 'xa';
  MapEvent_BoundsChanged                               = 'bounds_changed';
  MapEvent_CenterChanged                               = 'center_changed';
  MapEvent_Click                                       = 'click';
  MapEvent_DblClick                                    = 'dblclick';
  MapEvent_Drag                                        = 'drag';
  MapEvent_Dragend                                     = 'dragend';
  MapEvent_DragStart                                   = 'dragstart';
  MapEvent_HeadingChanged                              = 'heading_changed';
  MapEvent_Idle                                        = 'idle';
  MapEvent_MapTypeIdChanged                            = 'maptypeid_changed';
  MapEvent_MouseMove                                   = 'mousemove';
  MapEvent_MouseOut                                    = 'mouseout';
  MapEvent_MouseOver                                   = 'mouseover';
  MapEvent_ProjectionChanged                           = 'projection_changed';
  MapEvent_Resize                                      = 'resize';
  MapEvent_RightClick                                  = 'rightclick';
  MapEvent_TilesLoaded                                 = 'tilesloaded';
  MapEvent_TiltChanged                                 = 'tilt_changed';
  MapEvent_ZoomChanged                                 = 'zoom_changed';
  MapKey_MapTypeControl                                = 'mapTypeControl';
  MapKey_NavigationControl                             = 'navigationControl';
  MapKey_ScaleControl                                  = 'scaleControl';
  MapKey_StreetViewControl                             = 'streetViewControl';

  MapCanvasProjectionMethod_FromContainerPixelToLatLng = 'fromContainerPixelToLatLng';
  MapCanvasProjectionMethod_FromDivPixelToLatLng       = 'fromDivPixelToLatLng';
  MapCanvasProjectionMethod_FromLatLngToContainerPixel = 'fromLatLngToContainerPixel';
  MapCanvasProjectionMethod_FromLatLngToDivPixel       = 'fromLatLngToDivPixel';
  MapCanvasProjectionMethod_GetWorldWidth              = 'getWorldWidth';

  MapOptionsProp_BackgroundColor                       = 'backgroundColor';
  MapOptionsProp_Center                                = 'center';
  MapOptionsProp_DisableDefaultUI                      = 'disableDefaultUI';
  MapOptionsProp_DisableDoubleClickZoom                = 'disableDoubleClickZoom';
  MapOptionsProp_Draggable                             = 'draggable';
  MapOptionsProp_DraggableCursor                       = 'draggableCursor';
  MapOptionsProp_DraggingCursor                        = 'draggingCursor';
  MapOptionsProp_Heading                               = 'heading';
  MapOptionsProp_KeyboardShortcuts                     = 'keyboardShortcuts';
  MapOptionsProp_MapTypeControl                        = 'mapTypeControl';
  MapOptionsProp_MapTypeControlOptions                 = 'mapTypeControlOptions';
  MapOptionsProp_MapTypeID                             = 'mapTypeId';
  MapOptionsProp_MaxZoom                               = 'maxZoom';
  MapOptionsProp_MinZoom                               = 'minZoom';
  MapOptionsProp_NavigationControl                     = 'navigationControl';
  MapOptionsProp_NavigationControlOptions              = 'navigationControlOptions';
  MapOptionsProp_NoClear                               = 'noClear';
  MapOptionsProp_OverviewMapControl                    = 'overviewMapControl';
  MapOptionsProp_OverviewMapControlOptions             = 'overviewMapControlOptions';
  MapOptionsProp_PanControl                            = 'panControl';
  MapOptionsProp_PanControlOptions                     = 'panControlOptions';
  MapOptionsProp_RotateControl                         = 'rotateControl';
  MapOptionsProp_RotateControlOptions                  = 'rotateControlOptions';
  MapOptionsProp_ScaleControl                          = 'scaleControl';
  MapOptionsProp_ScaleControlOptions                   = 'scaleControlOptions';
  MapOptionsProp_ScrollWheel                           = 'scrollwheel';
  MapOptionsProp_StreetView                            = 'streetView';
  MapOptionsProp_StreetViewControl                     = 'streetViewControl';
  MapOptionsProp_StreetViewControlOptions              = 'streetViewControlOptions';
  MapOptionsProp_Styles                                = 'styles';
  MapOptionsProp_Tilt                                  = 'tilt';
  MapOptionsProp_Zoom                                  = 'zoom';
  MapOptionsProp_ZoomControl                           = 'zoomControl';
  MapOptionsProp_ZoomControlOptions                    = 'zoomControlOptions';

  MapPanesProp_FloatPane                               = 'floatPane';
  MapPanesProp_FloatShadow                             = 'floatShadow';
  MapPanesProp_MapPane                                 = 'mapPane';
  MapPanesProp_OverlayImage                            = 'overlayImage';
  MapPanesProp_OverlayLayer                            = 'overlayLayer';
  MapPanesProp_OverlayMouseTarget                      = 'overlayMouseTarget';
  MapPanesProp_OverlayShadow                           = 'overlayShadow';

  MapsMethod_BicyclingLayer                            = 'BicyclingLayer';
  MapsMethod_Circle                                    = 'Circle';
  MapsMethod_DirectionsRenderer                        = 'DirectionsRenderer';
  MapsMethod_DirectionsService                         = 'DirectionsService';
  MapsMethod_DistanceMatrixService                     = 'DistanceMatrixService';
  MapsMethod_ElevationService                          = 'ElevationService';
  MapsMethod_FusionTablesLayer                         = 'FusionTablesLayer';
  MapsMethod_Geocoder                                  = 'Geocoder';
  MapsMethod_GroundOverlay                             = 'GroundOverlay';
  MapsMethod_ImageMapType                              = 'ImageMapType';
  MapsMethod_InfoWindow                                = 'InfoWindow';
  MapsMethod_KmlLayer                                  = 'KmlLayer';
  MapsMethod_LatLng                                    = 'LatLng';
  MapsMethod_LatLngBounds                              = 'LatLngBounds';
  MapsMethod_Map                                       = 'Map';
  MapsMethod_MapTypeRegistry                           = 'MapTypeRegistry';
  MapsMethod_Marker                                    = 'Marker';
  MapsMethod_MarkerImage                               = 'MarkerImage';
  MapsMethod_MaxZoomService                            = 'MaxZoomService';
  MapsMethod_MVCArray                                  = 'MVCArray';
  MapsMethod_MVCObject                                 = 'MVCObject';
  MapsMethod_OverlayView                               = 'OverlayView';
  MapsMethod_Point                                     = 'Point';
  MapsMethod_Polygon                                   = 'Polygon';
  MapsMethod_Polyline                                  = 'Polyline';
  MapsMethod_Rectangle                                 = 'Rectangle';
  MapsMethod_Size                                      = 'Size';
  MapsMethod_StreetViewPanorama                        = 'StreetViewPanorama';
  MapsMethod_StreetViewService                         = 'StreetViewService';
  MapsMethod_StyledMapType                             = 'StyledMapType';
  MapsMethod_TrafficLayer                              = 'TrafficLayer';
  MapsProp_Adsense                                     = 'adsense';
  MapsProp_Animation                                   = 'Animation';
  MapsProp_ControlPosition                             = 'ControlPosition';
  MapsProp_DirectionsStatus                            = 'DirectionsStatus';
  MapsProp_DirectionsTravelMode                        = 'DirectionsTravelMode';     //deprecated
  MapsProp_DirectionsUnitSystem                        = 'DirectionsUnitSystem';     //deprecated
  MapsProp_DistanceMatrixStatus                        = 'DistanceMatrixStatus';
  MapsProp_ElevationStatus                             = 'ElevationStatus';
  MapsProp_Event                                       = 'event';
  MapsProp_GeocoderLocationType                        = 'GeocoderLocationType';
  MapsProp_GeocoderStatus                              = 'GeocoderStatus';
  MapsProp_Geometry                                    = 'geometry';
  MapsProp_MapTypeControlStyle                         = 'MapTypeControlStyle';
  MapsProp_MapTypeID                                   = 'MapTypeId';
  MapsProp_MaxZoomStatus                               = 'MaxZoomStatus';
  MapsProp_NavigationControlStyle                      = 'NavigationControlStyle';
  MapsProp_Panoramio                                   = 'panoramio';
  MapsProp_Places                                      = 'places';
  MapsProp_ScaleControlStyle                           = 'ScaleControlStyle';
  MapsProp_StreetViewService                           = 'StreetViewService';
  MapsProp_StreetViewStatus                            = 'StreetViewStatus';
  MapsProp_TravelMode                                  = 'TravelMode';
  MapsProp_UnitSystem                                  = 'UnitSystem';
  MapsProp_Version                                     = 'version';
  MapsProp_ZoomControlStyle                            = 'ZoomControlStyle';

  MapTypeMethod_GetTile                                = 'getTile';
  MapTypeMethod_ReleaseTile                            = 'releaseTile';
  MapTypeProp_Alt                                      = 'alt';
  MapTypeProp_MaxZoom                                  = 'maxZoom';
  MapTypeProp_MinZoom                                  = 'minZoom';
  MapTypeProp_Name                                     = 'name';
  MapTypeProp_Projection                               = 'projection';
  MapTypeProp_Radius                                   = 'radius';
  MapTypeProp_TileSize                                 = 'tileSize';

  MapTypeControlOptionsProp_MapTypeIDs                 = 'mapTypeIds';
  MapTypeControlOptionsProp_Position                   = 'position';
  MapTypeControlOptionsProp_Style                      = 'style';


  MapTypeControlStyleProp_Default                      = 'DEFAULT';
  MapTypeControlStyleProp_DropdownMenu                 = 'DROPDOWN_MENU';
  MapTypeControlStyleProp_HorizontalBar                = 'HORIZONTAL_BAR';

  MapTypeIDProp_Di                                     = 'di';
  MapTypeIDProp_Hybrid                                 = 'HYBRID';
  MapTypeIDProp_Roadmap                                = 'ROADMAP';
  MapTypeIDProp_Satellite                              = 'SATELLITE';
  MapTypeIDProp_Terrain                                = 'TERRAIN';

  MapTypeStyleProp_ElementType                         = 'elementType';
  MapTypeStyleProp_FeatureType                         = 'featureType';
  MapTypeStyleProp_Stylers                             = 'stylers';

  MapTypeStylerProp_Gamma                              = 'gamma';
  MapTypeStylerProp_Hue                                = 'hue';
  MapTypeStylerProp_InvertLightness                    = 'invert_lightness';
  MapTypeStylerProp_Lightness                          = 'lightness';
  MapTypeStylerProp_Saturation                         = 'saturation';
  MapTypeStylerProp_Visibility                         = 'visibility';

  MarkerMethod_GetAnimation                            = 'getAnimation';
  MarkerMethod_GetClickable                            = 'getClickable';
  MarkerMethod_GetCross                                = 'getCross';
  MarkerMethod_GetCursor                               = 'getCursor';
  MarkerMethod_GetDraggable                            = 'getDraggable';
  MarkerMethod_GetFlat                                 = 'getFlat';
  MarkerMethod_GetIcon                                 = 'getIcon';
  MarkerMethod_GetMap                                  = 'getMap';
  MarkerMethod_GetPosition                             = 'getPosition';
  MarkerMethod_GetShadow                               = 'getShadow';
  MarkerMethod_GetShape                                = 'getShape';
  MarkerMethod_GetTarget                               = 'getTarget';
  MarkerMethod_GetTitle                                = 'getTitle';
  MarkerMethod_GetVisible                              = 'getVisible';
  MarkerMethod_GetZIndex                               = 'getZIndex';
  MarkerMethod_Map_changed                             = 'map_changed';
  MarkerMethod_SetAnimation                            = 'setAnimation';
  MarkerMethod_SetClickable                            = 'setClickable';
  MarkerMethod_SetCross                                = 'setCross';
  MarkerMethod_SetCursor                               = 'setCursor';
  MarkerMethod_SetDraggable                            = 'setDraggable';
  MarkerMethod_SetFlat                                 = 'setFlat';
  MarkerMethod_SetIcon                                 = 'setIcon';
  MarkerMethod_SetMap                                  = 'setMap';
  MarkerMethod_SetOptions                              = 'setOptions';
  MarkerMethod_SetPosition                             = 'setPosition';
  MarkerMethod_SetShadow                               = 'setShadow';
  MarkerMethod_SetShape                                = 'setShape';
  MarkerMethod_SetTarget                               = 'setTarget';
  MarkerMethod_SetTitle                                = 'setTitle';
  MarkerMethod_SetVisible                              = 'setVisible';
  MarkerMethod_SetZIndex                               = 'setZIndex';
  MarkerEvent_Click                                    = 'click';
  MarkerEvent_ClickableChanged                         = 'clickable_changed';
  MarkerEvent_CursorChanged                            = 'cursor_changed';
  MarkerEvent_DblClick                                 = 'dblclick';
  MarkerEvent_Drag                                     = 'drag';
  MarkerEvent_DragEnd                                  = 'dragend';
  MarkerEvent_DraggableChanged                         = 'draggable_changed';
  MarkerEvent_DragStart                                = 'dragstart';
  MarkerEvent_FlatChanged                              = 'flat_changed';
  MarkerEvent_IconChanged                              = 'icon_changed';
  MarkerEvent_MouseDown                                = 'mousedown';
  MarkerEvent_MouseOut                                 = 'mouseout';
  MarkerEvent_MouseOver                                = 'mouseover';
  MarkerEvent_MouseUp                                  = 'mouseup';
  MarkerEvent_PositionChanged                          = 'position_changed';
  MarkerEvent_RightClick                               = 'rightclick';
  MarkerEvent_ShadowChanged                            = 'shadow_changed';
  MarkerEvent_ShapeChanged                             = 'shape_changed';
  MarkerEvent_TitleChanged                             = 'title_changed';
  MarkerEvent_VisibleChanged                           = 'visible_changed';
  MarkerEvent_ZIndexChanged                            = 'zindex_changed';

  MarkerOptionsProp_Animation                          = 'animation';
  MarkerOptionsProp_Clickable                          = 'clickable';
  MarkerOptionsProp_Cross                              = 'cross';          //nicht dokumentiert
  MarkerOptionsProp_Cursor                             = 'cursor';
  MarkerOptionsProp_Draggable                          = 'draggable';
  MarkerOptionsProp_Flat                               = 'flat';
  MarkerOptionsProp_Icon                               = 'icon';
  MarkerOptionsProp_Map                                = 'map';
  MarkerOptionsProp_Optimized                          = 'optimized';
  MarkerOptionsProp_Position                           = 'position';
  MarkerOptionsProp_RaiseOnDrag                        = 'raiseOnDrag';
  MarkerOptionsProp_Shadow                             = 'shadow';
  MarkerOptionsProp_Shape                              = 'shape';
  MarkerOptionsProp_Title                              = 'title';
  MarkerOptionsProp_Visible                            = 'visible';
  MarkerOptionsProp_ZIndex                             = 'zIndex';

  MarkerShapeProp_Coord                                = 'coord';
  MarkerShapeProp_Coords                               = 'coords';
  MarkerShapeProp_Type                                 = 'type';

  MarkerType_Circle                                    = 'circle';
  MarkerType_Polygon                                   = 'poly';
  MarkerType_Rectangle                                 = 'rectangle';

  MaxZoomResultProp_Status                             = 'status';
  MaxZoomResultProp_Zoom                               = 'zoom';

  MaxZoomServiceMethod_GetMaxZoomAtLatLng              = 'getMaxZoomAtLatLng';

  MaxZoomStatusProp_Error                              = 'ERROR';
  MaxZoomStatusProp_Ok                                 = 'OK';

  MouseEventProp_LatLng                                = 'latLng';

  MVCArrayMethod_Clear                                 = 'clear';
  MVCArrayMethod_ForEach                               = 'forEach';
  MVCArrayMethod_GetArray                              = 'getArray';
  MVCArrayMethod_GetAt                                 = 'getAt';
  MVCArrayMethod_GetLength                             = 'getLength';
  MVCArrayMethod_InsertAt                              = 'insertAt';
  MVCArrayMethod_Pop                                   = 'pop';
  MVCArrayMethod_Push                                  = 'push';
  MVCArrayMethod_RemoveAt                              = 'removeAt';
  MVCArrayMethod_SetAt                                 = 'setAt';
  MVCArrayEvent_InsertAt                               = 'insert_at';
  MVCArrayEvent_RemoveAt                               = 'remove_at';
  MVCArrayEvent_SetAt                                  = 'set_at';

  MVCObjectMethod_BindTo                               = 'bindTo';
  MVCObjectMethod_Changed                              = 'changed';
  MVCObjectMethod_Get                                  = 'get';
  MVCObjectMethod_Notify                               = 'notify';
  MVCObjectMethod_SetOptions                           = 'setOptions';
  MVCObjectMethod_Set                                  = 'set';
  MVCObjectMethod_SetValues                            = 'setValues';
  MVCObjectMethod_Unbind                               = 'unbind';
  MVCObjectMethod_UnbindAll                            = 'unbindAll';

  NavigationControlOptionsProp_Position                = 'position';
  NavigationControlOptionsProp_Style                   = 'style';

  NavigationControlStyleProp_Android                   = 'ANDROID';
  NavigationControlStyleProp_Default                   = 'DEFAULT';
  NavigationControlStyleProp_Hi                        = 'hi';
  NavigationControlStyleProp_Small                     = 'SMALL';
  NavigationControlStyleProp_ZoomPan                   = 'ZOOM_PAN';

  OptionsProp_Clickable                                = 'clickable';
  OptionsProp_Geodesic                                 = 'geodesic';
  OptionsProp_Map                                      = 'map';
  OptionsProp_StrokeColor                              = 'strokeColor';
  OptionsProp_StrokeOpacity                            = 'strokeOpacity';
  OptionsProp_StrokeWeight                             = 'strokeWeight';
  OptionsProp_ZIndex                                   = 'zIndex';

  OverlayViewMethod_Draw                               = 'draw';
  OverlayViewMethod_GetMap                             = 'getMap';
  OverlayViewMethod_GetPanes                           = 'getPanes';
  OverlayViewMethod_GetProjection                      = 'getProjection';
  OverlayViewMethod_SetMap                             = 'setMap';
  OverlayViewMethod_OnAdd                              = 'onAdd';
  OverlayViewMethod_OnRemove                           = 'onRemove';
  OverlayViewEvent_OnAdd                               = 'onAdd';
  OverlayViewEvent_Draw                                = 'draw';
  OverlayViewEvent_OnRemove                            = 'onRemove';

  OverviewMapControlOptionsProp_Opened                 = 'opened';

  PanControlOptionsProp_Position                       = 'position';
  PanControlOptionsProp_Style                          = 'style';

  PanoramioMethod_PanoramioLayer                       = 'PanoramioLayer';

  PanoramioFeatureProp_Author                          = 'author';
  PanoramioFeatureProp_PhotoID                         = 'photoId';
  PanoramioFeatureProp_Title                           = 'title';
  PanoramioFeatureProp_URL                             = 'url';
  PanoramioFeatureProp_UserID                          = 'userId';

  PanoramioLayerMethod_GetMap                          = 'getMap';
  PanoramioLayerMethod_GetTag                          = 'getTag';
  PanoramioLayerMethod_GetUserID                       = 'getUserId';
  PanoramioLayerMethod_SetMap                          = 'setMap';
  PanoramioLayerMethod_SetOptions                      = 'setOptions';
  PanoramioLayerMethod_SetTag                          = 'setTag';
  PanoramioLayerMethod_SetUserID                       = 'setUserId';
  PanoramioLayerEvent_Click                            = 'click';

  PanoramioLayerOptionsProp_Clickable                  = 'clickable';
  PanoramioLayerOptionsProp_Map                        = 'map';
  PanoramioLayerOptionsProp_SuppressInfoWindows        = 'suppressInfoWindows';
  PanoramioLayerOptionsProp_Tag                        = 'tag';
  PanoramioLayerOptionsProp_UserID                     = 'userId';

  PanoramioMouseEventProp_FeatureDetails               = 'featureDetails';
  PanoramioMouseEventProp_InfoWindowHTML               = 'infoWindowHtml';
  PanoramioMouseEventProp_LatLng                       = 'latLng';
  PanoramioMouseEventProp_PixelOffset                  = 'pixelOffset';

  PathElevationRequestProp_Path                        = 'path';
  PathElevationRequestProp_Samples                     = 'samples';

  PlacesMethod_Autocomlete                             = 'Autocomplete';
  PlacesMethod_PlacesService                           = 'PlacesService';
  PlacesProp_PlacesServiceStatus                       = 'PlacesServiceStatus';

  PlaceDetailsRequestProp_Reference                    = 'reference';

  PlaceGeometryProp_Location                           = 'location';
  PlaceGeometryProp_Viewport                           = 'viewport';

  PlaceResultProp_AddressComponents                    = 'address_components';
  PlaceResultProp_FormattedAddress                     = 'formatted_address';
  PlaceResultProp_FormattedPhoneNumber                 = 'formatted_phone_number';
  PlaceResultProp_Geometry                             = 'geometry';
  PlaceResultProp_HtmlAttributions                     = 'html_attributions';
  PlaceResultProp_Icon                                 = 'icon';
  PlaceResultProp_ID                                   = 'id';
  PlaceResultProp_Name                                 = 'name';
  PlaceResultProp_Rating                               = 'rating';
  PlaceResultProp_Reference                            = 'reference';
  PlaceResultProp_Types                                = 'types';
  PlaceResultProp_URL                                  = 'url';
  PlaceResultProp_Vicinity                             = 'vicinity';

  PlaceSearchRequestProp_Bounds                        = 'bounds';
  PlaceSearchRequestProp_Location                      = 'location';
  PlaceSearchRequestProp_Name                          = 'name';
  PlaceSearchRequestProp_Radius                        = 'radius';
  PlaceSearchRequestProp_Types                         = 'types';

  PlacesServiceMethod_GetDetails                       = 'getDetails';
  PlacesServiceMethod_Search                           = 'search';

  PlacesServiceStatusProp_InvalidRequest               = 'INVALID_REQUEST';
  PlacesServiceStatusProp_OK                           = 'OK';
  PlacesServiceStatusProp_OverQueryLimit               = 'OVER_QUERY_LIMIT';
  PlacesServiceStatusProp_RequestDenied                = 'REQUEST_DENIED';
  PlacesServiceStatusProp_UnknownError                 = 'UNKNOWN_ERROR';
  PlacesServiceStatusProp_ZeroResults                  = 'ZERO_RESULTS';

  PointMethod_Equals                                   = 'equals';
  PointMethod_ToString                                 = 'toString';
  PointProp_X                                          = 'x';
  PointProp_Y                                          = 'y';

  PolygonMethod_GetMap                                 = 'getMap';
  PolygonMethod_GetPath                                = 'getPath';
  PolygonMethod_SetPaths                               = 'setPaths';
  PolygonMethod_SetMap                                 = 'setMap';
  PolygonMethod_SetOptions                             = 'setOptions';
  PolygonMethod_SetPath                                = 'setPath';
  PolygonMethod_GetPaths                               = 'getPaths';
  PolygonMethod_MapChanged                             = 'map_changed';

  PolygonOptionsProp_FillColor                         = 'fillColor';
  PolygonOptionsProp_FillOpacity                       = 'fillOpacity';
  PolygonOptionsProp_Paths                             = 'paths';

  PolylineMethod_GetMap                                = 'getMap';
  PolylineMethod_GetPath                               = 'getPath';
  PolylineMethod_SetMap                                = 'setMap';
  PolylineMethod_SetOptions                            = 'setOptions';
  PolylineMethod_SetPath                               = 'setPath';
  PolylineMethod_MapChanged                            = 'map_changed';

  PolylineOptionsProp_Path                             = 'path';

  ProjectionMethod_FromLatLngToPoint                   = 'fromLatLngToPoint';
  ProjectionMethod_FromPointToLatLng                   = 'fromPointToLatLng';

  RectangleMethod_GetBounds                            = 'getBounds';
  RectangleMethod_GetMap                               = 'getMap';
  RectangleMethod_SetBounds                            = 'setBounds';
  RectangleMethod_SetMap                               = 'setMap';
  RectangleMethod_SetOptions                           = 'setOptions';

  RectangleOptionsProp_Bounds                          = 'bounds';
  RectangleOptionsProp_Clickable                       = 'clickable';
  RectangleOptionsProp_FillColor                       = 'fillColor';
  RectangleOptionsProp_FillOpacity                     = 'fillOpacity';
  RectangleOptionsProp_Map                             = 'map';
  RectangleOptionsProp_StrokeColor                     = 'strokeColor';
  RectangleOptionsProp_StrokeOpacity                   = 'strokeOpacity';
  RectangleOptionsProp_StrokeWeight                    = 'strokeWeight';
  RectangleOptionsProp_ZIndex                          = 'zIndex';

  RotateControlOptionsProp_Position                    = 'position';
  RotateControlOptionsProp_Style                       = 'style';

  ScaleControlOptionsProp_Position                     = 'position';
  ScaleControlOptionsProp_Style                        = 'style';

  ScaleControlStyleProp_Default                        = 'DEFAULT';

  ScriptProp_Google                                    = 'google';

  SizeMethod_Equals                                    = 'equals';
  SizeMethod_ToString                                  = 'toString';
  SizeProp_Height                                      = 'height';
  SizeProp_Width                                       = 'width';

  SphericalMethod_ComputeArea                          = 'computeArea';
  SphericalMethod_ComputeDistanceBetween               = 'computeDistanceBetween';
  SphericalMethod_ComputeHeading                       = 'computeHeading';
  SphericalMethod_ComputeLength                        = 'computeLength';
  SphericalMethod_ComputeOffset                        = 'computeOffset';
  SphericalMethod_ComputeSignedArea                    = 'computeSignedArea';
  SphericalMethod_Interpolate                          = 'interpolate';

  StreetViewAddressControlOptionsProp_Position         = 'position';

  StreetViewControlOptionsProp_Position                = 'position';
  StreetViewControlOptionsProp_Style                   = 'style';

  StreetViewLinkProp_Description                       = 'description';
  StreetViewLinkProp_Heading                           = 'heading';
  StreetViewLinkProp_Pano                              = 'pano';
  StreetViewLinkProp_RoadColor                         = 'roadColor';
  StreetViewLinkProp_RoadOpacity                       = 'roadOpacity';

  StreetViewLocationProp_Description                   = 'description';
  StreetViewLocationProp_LatLng                        = 'latLng';
  StreetViewLocationProp_Pano                          = 'pano';

  StreetViewPanoramaMethod_GetEnableCloseButton        = 'getEnableCloseButton';
  StreetViewPanoramaMethod_GetLinks                    = 'getLinks';
  StreetViewPanoramaMethod_GetPano                     = 'getPano';
  StreetViewPanoramaMethod_GetPosition                 = 'getPosition';
  StreetViewPanoramaMethod_GetPov                      = 'getPov';
  StreetViewPanoramaMethod_GetVisible                  = 'getVisible';
  StreetViewPanoramaMethod_N                           = 'N';
  StreetViewPanoramaMethod_SetEnableCloseButton        = 'setEnableCloseButton';
  StreetViewPanoramaMethod_SetPosition                 = 'setPosition';
  StreetViewPanoramaMethod_SetPano                     = 'setPano';
  StreetViewPanoramaMethod_SetPov                      = 'setPov';
  StreetViewPanoramaMethod_SetVisible                  = 'setVisible';
  StreetViewPanoramaMethod_VisibleChanged              = 'visible_changed';
  StreetViewPanoramaProp_Controls                      = 'Controls';
  StreetViewPanoramaEvent_CloseClick                   = 'closeclick';
  StreetViewPanoramaEvent_LinksChanged                 = 'links_changed';
  StreetViewPanoramaEvent_PanoChanged                  = 'pano_changed';
  StreetViewPanoramaEvent_PositionChanged              = 'position_changed';
  StreetViewPanoramaEvent_PovChanged                   = 'pov_changed';
  StreetViewPanoramaEvent_Resize                       = 'resize';
  StreetViewPanoramaEvent_VisibleChanged               = 'visible_changed';

  StreetViewPanoramaDataProp_Copyright                 = 'copyright';
  StreetViewPanoramaDataProp_Links                     = 'links';
  StreetViewPanoramaDataProp_Location                  = 'location';
  StreetViewPanoramaDataProp_Tiles                     = 'tiles';

  StreetViewPanoramaOptionsProp_AddressControl         = 'addressControl';
  StreetViewPanoramaOptionsProp_AddressControlOptions  = 'addressControlOptions';
  StreetViewPanoramaOptionsProp_DisableDoubleClickZoom = 'disableDoubleClickZoom';
  StreetViewPanoramaOptionsProp_EnableCloseButton      = 'enableCloseButton';
  StreetViewPanoramaOptionsProp_LinksControl           = 'linksControl';
  StreetViewPanoramaOptionsProp_PanControl             = 'panControl';
  StreetViewPanoramaOptionsProp_PanControlOptions      = 'panControlOptions';
  StreetViewPanoramaOptionsProp_Pano                   = 'pano';
  StreetViewPanoramaOptionsProp_PanoProvider           = 'panoProvider';
  StreetViewPanoramaOptionsProp_Position               = 'position';
  StreetViewPanoramaOptionsProp_Pov                    = 'pov';
  StreetViewPanoramaOptionsProp_ScrollWheel            = 'scrollwheel';
  StreetViewPanoramaOptionsProp_Visible                = 'visible';
  StreetViewPanoramaOptionsProp_ZoomControl            = 'zoomControl';
  StreetViewPanoramaOptionsProp_ZoomControlOptions     = 'zoomControlOptions';

  StreetViewPovProp_Heading                            = 'heading';
  StreetViewPovProp_Pitch                              = 'pitch';
  StreetViewPovProp_Zoom                               = 'zoom';

  StreetViewStatusProp_OK                              = 'OK';
  StreetViewStatusProp_UnknownError                    = 'UNKNOWN_ERROR';
  StreetViewStatusProp_ZeroResults                     = 'ZERO_RESULTS';

  StreetViewTileDataMethod_GetTileUrl                  = 'getTileUrl';
  StreetViewTileDataProp_CenterHeading                 = 'centerHeading';
  StreetViewTileDataProp_TileSize                      = 'tileSize';
  StreetViewTileDataProp_WorldSize                     = 'worldSize';

  StyledMapTypeOptionsProp_Alt                         = 'alt';
  StyledMapTypeOptionsProp_BaseMapType                 = 'baseMapType';
  StyledMapTypeOptionsProp_MaxZoom                     = 'maxZoom';
  StyledMapTypeOptionsProp_MinZoom                     = 'minZoom';
  StyledMapTypeOptionsProp_Name                        = 'name';

  TrafficLayerMethod_GetMap                            = 'getMap';
  TrafficLayerMethod_SetMap                            = 'setMap';

  TravelModeProp_Bicycling                             = 'BICYCLING';
  TravelModeProp_Driving                               = 'DRIVING';
  TravelModeProp_Walking                               = 'WALKING';

  UnitSystemProp_Imperial                              = 'IMPERIAL';
  UnitSystemProp_Metric                                = 'METRIC';

  ZoomControlOptionsProp_Position                      = 'position';
  ZoomControlOptionsProp_Style                         = 'style';

  ZoomControlStyleProp_Default                         = 'DEFAULT';
  ZoomControlStyleProp_Large                           = 'LARGE';
  ZoomControlStyleProp_Small                           = 'SMALL';

implementation

end.
