unit Unit1;

interface

{$INCLUDE gmConfig.inc}

uses
  Windows, Messages, SysUtils, {$IFDEF DELPHI6_UP}Variants,{$ENDIF} Classes,
  Graphics, Controls, Forms, Dialogs, StdCtrls, OleCtrls, SHDocVw, gmAPI, gmMap,
  gmLibrariesAdsense;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure InitMap(Sender: TObject);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IFDEF DELPHI2006_UP}
  ReportMemoryLeaksOnShutdown:=true;
  {$ENDIF}
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  if Script=nil then
    with TScript.Create(WebBrowser1) do
      LoadAPIAsync(InitMap,[libAdsense]);
end;

procedure TForm1.InitMap(Sender: TObject);
var
  MapOptions: TMapOptions;
  AdUnitOptions: TAdUnitOptions;
begin
  with TScript(Sender) do
  begin
    MapOptions:=TMapOptions.Create;
    with MapOptions do
    begin
      Zoom:=12;
      Center:=New(Google.Maps.LatLng(36.5987,-121.8950));
      MapTypeID:=Google.Maps.MapTypeID.Roadmap;
      with Styles.AddStyle do
      begin
        FeatureType:='poi';                                //.business
        ElementType:='labels';
        AddStyler.Visibility:='off';
      end;
    end;
    New(Google.Maps.Map(MapOptions));
    AdUnitOptions:=TAdUnitOptions.Create;
    with AdUnitOptions do
    begin
      Format:=Google.Maps.Adsense.AdFormat.HalfBanner;
      Position:=Google.Maps.ControlPosition.Top;
      Map:=Maps[0];
      PublisherID:='ca-google-maps_apidocs';
      Visible:=true;
     end;
     New(Google.Maps.Adsense.AdUnit(AdUnitOptions));
  end;
end;

end.
