//http://code.google.com/apis/maps/documentation/javascript/examples/index.html
//http://code.google.com/apis/maps/documentation/javascript/examples/streetview-controls.html
unit Unit1;

interface

{$INCLUDE gmConfig.inc}

uses
  Windows, Messages, SysUtils, {$IFDEF DELPHI6_UP}Variants,{$ENDIF} Classes,
  Graphics, Controls, Forms, Dialogs, StdCtrls, OleCtrls, SHDocVw, gmAPI,
  gmBase, gmStreetView;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure InitMap(Sender: TObject);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {$IFDEF DELPHI2006_UP}
  ReportMemoryLeaksOnShutdown:=true;
  {$ENDIF}
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  if Script=nil then
    with TScript.Create(WebBrowser1) do
      LoadAPIAsync(InitMap);
end;

procedure TForm1.InitMap(Sender: TObject);
var
  Fenway: TLatLng;
  PanoOptions: TStreetViewPanoramaOptions;
begin
  with TScript(Sender) do
  begin
    Fenway:=New(Google.Maps.LatLng(42.345573,-71.098326));
    PanoOptions:=TStreetViewPanoramaOptions.Create;
    with PanoOptions do
    begin
      Position:=Fenway;
      AddressControlOptions.Position:=Google.Maps.ControlPosition.Bottom;
      LinksControl:=false;
      PanControl:=false;
      ZoomControlOptions.Style:=Google.Maps.ZoomControlStyle.Small;
      EnableCloseButton:=false;
    end;
    New(Google.Maps.StreetViewPanorama(PanoOptions));
  end;
end;

end.
