//Umsetzung des Google Maps API's V3 und dessen Objekte ber das COM der TWebBrowser-Komponente
//Nutzbar ab Delphi 5 - getestet mit
//- Delphi 5
//- Delphi 2005
//- Delphi 2007
//- Delphi 2010
//- Delphi XE
//- Delphi XE2 32/64 Bit

//Beschreibungen zum API und zu den Objekten teilweise aus der Dokumentation auf
//http://code.google.com/intl/de/apis/maps/documentation/javascript/reference.html

//const
//  gmVersion = 2.0;

{$DEFINE GM_VERSION_2_0}               //Current version

{$DEFINE GM_VERSION_1_1_UP}
{$DEFINE GM_VERSION_1_2_UP}
{$DEFINE GM_VERSION_1_3_UP}            //v1.3 2011.05.30
{$DEFINE GM_VERSION_2_0_UP}            //v2.0 2011.09.19

{$DEFINE UNKNOWN_COMPILER_VERSION}     //Compiler detection
{$IFDEF VER80}
  {$DEFINE DELPHI1}
  {$DEFINE DELPHI1_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER90}
  {$DEFINE DELPHI2}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER100}
  {$DEFINE DELPHI3}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER120}
  {$DEFINE DELPHI4}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER130}
  {$DEFINE DELPHI5}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER140}
  {$DEFINE DELPHI6}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER150}
  {$DEFINE DELPHI7}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER160}
  {$DEFINE DELPHI8}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER170}
  {$DEFINE DELPHI2005}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER180}
  {$DEFINE DELPHI2006}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$DEFINE DELPHI2006_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER185}
  {$DEFINE DELPHI2007}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$DEFINE DELPHI2006_UP}
  {$DEFINE DELPHI2007_UP}
  {$DEFINE DELPHICOMPILER11}
{$ENDIF}
{$IFDEF VER200}
  {$DEFINE DELPHI2009}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$DEFINE DELPHI2006_UP}
  {$DEFINE DELPHI2007_UP}
  {$DEFINE DELPHI2009_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER210}
  {$DEFINE DELPHI2010}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$DEFINE DELPHI2006_UP}
  {$DEFINE DELPHI2007_UP}
  {$DEFINE DELPHI2009_UP}
  {$DEFINE DELPHI2010_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER220}
  {$DEFINE DELPHIXE}
  {$DEFINE DELPHI1_UP}
  {$DEFINE DELPHI2_UP}
  {$DEFINE DELPHI3_UP}
  {$DEFINE DELPHI4_UP}
  {$DEFINE DELPHI5_UP}
  {$DEFINE DELPHI6_UP}
  {$DEFINE DELPHI7_UP}
  {$DEFINE DELPHI8_UP}
  {$DEFINE DELPHI2005_UP}
  {$DEFINE DELPHI2006_UP}
  {$DEFINE DELPHI2007_UP}
  {$DEFINE DELPHI2009_UP}
  {$DEFINE DELPHI2010_UP}
  {$DEFINE DELPHIXE_UP}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}
{$IFDEF VER230}
  {$DEFINE DELPHIXE2}
  {$IF CompilerVersion>=23}
    {$DEFINE DELPHI1_UP}
    {$DEFINE DELPHI2_UP}
    {$DEFINE DELPHI3_UP}
    {$DEFINE DELPHI4_UP}
    {$DEFINE DELPHI5_UP}
    {$DEFINE DELPHI6_UP}
    {$DEFINE DELPHI7_UP}
    {$DEFINE DELPHI8_UP}
    {$DEFINE DELPHI2005_UP}
    {$DEFINE DELPHI2006_UP}
    {$DEFINE DELPHI2007_UP}
    {$DEFINE DELPHI2009_UP}
    {$DEFINE DELPHI2010_UP}
    {$DEFINE DELPHIXE_UP}
    {$DEFINE DELPHIXE2_UP}
  {$IFEND}
  {$UNDEF UNKNOWN_COMPILER_VERSION}
{$ENDIF}

//Fr Versionen unter Delphi 2007 muss TGIFImgage von Anders Melander installiert
//sein: http://melander.dk/delphi/gifimage
//V2.2 Download: http://www.tolderlund.eu/delphi/
{.$DEFINE USE_GIFIMG}

//Fr Versionen unter Delphi 2009 muss TPNGImgage von Gustavo Daud installiert
//sein, das nach dem Aufkauf durch Embarcadero offiziel nicht mehr als OpenSource-
//Projekt erhltlich ist: http://blogs.embarcadero.com/nickhodges/2008/08/13/39100
//Anmerkung: Dieser Blog (vorheriger Link) wurde von Embarcadero gelscht:
//"This user has elected to delete their account and the content is no longer available."
//alternative Downloadquellen z.B.:
//http://www.google.de/search?q=TPNGImgage+Download
//http://www.isheu.com/data_5095_1.aspx
{.$DEFINE USE_PNGIMG}

{$IFDEF DELPHI2007_UP}                 //ab Delphi 2007 ist TGIFImage (V3) Bestandteil der Bibliothek
  {$DEFINE USE_GIFIMG}
{$ENDIF}

{$IFDEF DELPHI2009_UP}                 //ab Delphi 2009 ist TPNGImage Bestandteil der Bibliothek
  {$DEFINE USE_PNGIMG}
{$ENDIF}

{$IFDEF DELPHI2009_UP}                 //irgendwann fand eine Namensnderung statt (bei Delphi 2009?)
  {$DEFINE TPNGImage}
{$ELSE}
  {$DEFINE TPNGObject}
{$ENDIF}

{$IFDEF DELPHI2010_UP}                 //oder schon frher???
  {$DEFINE AND_OP}                     //"&" vor einem reservierten Bezeicher zulssig
  {$DEFINE USE_RTTI}
{$ENDIF}

{$IFDEF DELPHI2005_UP}                 
  {$DEFINE USE_INLINE}                 //inline - Statement
{$ENDIF}

{$IFDEF DELPHI2006_UP}
  {$DEFINE USE_REGIONS}                //{$REGION 'xxx'}{$ENDREGION}
{$ENDIF}

{$IFDEF DELPHI6_UP}
  {$DEFINE USE_DEPRECATED}             //deprecated - Statement
  {$IFDEF DELPHI2009_UP}
    {$DEFINE USE_DEPRECATEDMESSAGE}    //deprecated ('xxx')
  {$ENDIF}
{$ENDIF}

{$IFDEF DELPHI2009_UP}
  {$DEFINE USE_ANONYMOUS_METHODS}
  {$IFDEF USE_ANONYMOUS_METHODS}
    {$IFNDEF DEFLPHIXE3_UP}           //??? ;-)
      //http://qc.embarcadero.com/wc/qcmain.aspx?d=78066
      //http://qc.embarcadero.com/wc/qcmain.aspx?d=83259
      {$DEFINE ANONYMOUS_METHODS_MEMORY_LEAK}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

//ltere Compiler haben Probleme bei der richtigen Auswahl berladener Funktionen:
//Entweder kommt es bei der Compilierung zu einer Fehlermeldung oder er verlinkt
//ohne Fehlermeldung zur falschen Funktion.
//Fehler treten definitiv bei Delphi 5, Delphi 2005 PE, Delphi 2006 und Delphi 2007 auf.
//Delphi 2010 compiliert wie gewnscht.
{$IFDEF DELPHI2009_UP}                 //oder spter???
  {$DEFINE CAN_OVERLOAD}
{$ENDIF}



